Subject: Re[2]: 1.x vs 2.x

From: Arpad Muranyi <[email-masked]>
Date: Wed, 27 Nov 96 09:05:00 PST

Text item: 

IBIS gurues,

I would expect the 2.1 parser to check a 1.1 file according to 1.1 rules, and a 
2.1 file according to 2.1 rules.  That means, if femto is not legal in 1.1, it 
should flag it as an error.

If I understand Syed's words correctly (below), the 2.1 parser will not flag the
femto in 1.1 files because it is allowed in 2.1.  I think this is not right.

By the way, tabs are allowed in both versions of IBIS.  We only added a 
statement that we strongly discourage its use in 2.1.  So the parser should not 
flag it as an error, only as a warning (maybe).

Arpad
================================================================================

Chris,

One example:
IBISv1.1 parser allows tab characters in the model file. IBISv2.1
does not allow
that and the parser gives a Warning. So, if a model file is v1.1, things
like checks for tabs are ignored by the parsar.

Regards,
Syed.

>
> Hi All,
>
> The current ibischk2 has a switch inside that upon reading a 1.x ibis
> file checks if differently (using the older checks) than a 2.x file.
>
> If we are truly backward compatible (are we?) then shouldn't we parse
> and test all .ibs files for the current revision (now 2.1) regardless of
> the file's ibis version.
>
> Q: Should a 2.x parser be able to read 1.x or not?
>
> Thanks,
>
> -Chris Rokusek
>

Text item: External Message Header

The following mail header is for administrative use
and may be ignored unless there are problems.

***IF THERE ARE PROBLEMS SAVE THESE HEADERS***.

Subject: Re: 1.x vs 2.x
To: [email-masked], [email-masked]
From: [email-masked] (Syed Huq)
Date: Tue, 26 Nov 96 17:25:52 PST
2; Tue, 26 Nov 1996 17:24:46 -0800
Received: from natsemi-bh.nsc.com (natsemi-bh.nsc.com [204.163.202.66]) by vhdl.
vhdl.org (8.7.3/8.7.3) with SMTP id RAA13851 for <[email-masked]>; Tue, 26 Nov 19
96 17:35:47 -0800 (PST)
Received: from vhdl.vhdl.org (vhdl.vhdl.org [198.31.14.3]) by mailbag.jf.intel.c
om (8.8.3/8.7.3) with ESMTP id RAA16389; Tue, 26 Nov 1996 17:29:43 -0800 (PST)
Received: from mailbag.jf.intel.com ([email-masked] [134.134.248.4])
by relay.jf.intel.com (8.8.2/8.7.3) with ESMTP id RAA19097; Tue, 26 Nov 1996 17:
27:10 -0800 (PST)
Return-Path: [email-masked]